%define upstream_name    Mojo-mysql
%define upstream_version 1.26

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Transaction
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Mojo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBD::mysql)
BuildRequires: perl(DBI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Mojolicious)
BuildRequires: perl(SQL::Abstract)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
the Mojo::mysql manpage is a tiny wrapper around the DBD::mysql manpage and
the DBD::MariaDB manpage that makes http://www.mysql.org and
https://mariadb.org/ a lot of fun to use with the http://mojolicio.us
real-time web framework.

The two DBD drivers are compatible with both MySQL and MariaDB, but they
offer different the /options manpage. the DBD::MariaDB manpage should have
better unicode support though and might become the default in the future.

Database and handles are cached automatically, so they can be reused
transparently to increase performance. And you can handle connection
timeouts gracefully by holding on to them only for short amounts of time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Dec 10 2022 guillomovitch <guillomovitch> 1.260.0-1.mga9
+ Revision: 1920275
- new version 1.26

* Wed Mar 23 2022 umeabot <umeabot> 1.250.0-2.mga9
+ Revision: 1820996
- Mageia 9 Mass Rebuild

* Fri Dec 31 2021 guillomovitch <guillomovitch> 1.250.0-1.mga9
+ Revision: 1765568
- imported package perl-Mojo-mysql


* Fri Dec 31 2021 cpan2dist 1.25-1mga
- initial mageia release, generated with cpan2dist
